<template>
  <el-dialog
    :title="title"
    :visible.sync="open"
    append-to-body
    width="50%"
    :before-close="handleClose"
  >
    <el-table v-loading="loading" :data="dataList">
      <el-table-column label="姓名" align="center" prop="name"/>
      <el-table-column label="身份证号" align="center" prop="idCard"/>
      <el-table-column label="科目" align="center" prop="subjectName"/>
      <el-table-column label="成绩" align="center" prop="grade"/>
    </el-table>

    <span slot="footer" class="dialog-footer">
      <el-button @click="handleClose">取消</el-button>
    </span>
  </el-dialog>
</template>

<script >
import {addExamApply, editExamApply, getExamSite} from "@/api/commonMod/examApply";
import {getTrainPage} from "@/api/coalMine/placeManage/train";
import store from "@/store";
import { getOperatePage } from '@/api/coalMine/operateType'

export default {
  name: 'examApplyDialog',
  components: {
  },
  props: ['typeList'],
  data() {
    return {
      disable: false,
      title: '成绩',
      open: false,
      loading: false,
      dataList: []
    }
  },
  created() {

  },
  methods: {
    openDialog(val) {
      const t = this
      console.log('val',val);
      t.dataList.push(val)
      t.open = true

    },
    handleClose() {
      this.open = false;
      this.dataList = [];
    },
  }
}

</script>
<style scoped>

</style>
